import request from '@/utils/request'

// 查询不接单信息列表
export function listSingle(query) {
  return request({
    url: '/model/Single/list',
    method: 'get',
    params: query
  })
}

// 查询不接单信息详细
export function getSingle(singleId) {
  return request({
    url: '/model/Single/' + singleId,
    method: 'get'
  })
}

// 新增不接单信息
export function addSingle(data) {
  return request({
    url: '/model/Single',
    method: 'post',
    data: data
  })
}

// 修改不接单信息
export function updateSingle(data) {
  return request({
    url: '/model/Single',
    method: 'put',
    data: data
  })
}

// 删除不接单信息
export function delSingle(singleId) {
  return request({
    url: '/model/Single/' + singleId,
    method: 'delete'
  })
}
